org.apache.solr.search.facet

## Class PercentileAgg

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.solr.search.facet.AggValueSource
    - - org.apache.solr.search.facet.SimpleAggValueSource
      - - org.apache.solr.search.facet.PercentileAgg

-     public class PercentileAgg
      extends SimpleAggValueSource

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PercentileAgg.Parser`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.search.facet.AggValueSource

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PercentileAgg(ValueSource vs, List<Double> percentiles)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacetMerger` | `createFacetMerger(Object prototype)`
    `SlotAcc` | `createSlotAcc(org.apache.solr.search.facet.FacetContext fcontext, int numDocs, int numSlots)`
    `boolean` | `equals(Object o)`
    `protected Object` | `getValueFromDigest(com.tdunning.math.stats.AVLTreeDigest digest)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.solr.search.facet.SimpleAggValueSource

      `description, getArg, getValues`

    - ### Methods inherited from class org.apache.solr.search.facet.AggValueSource

      `getChildren, name`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PercentileAgg

          public PercentileAgg(ValueSource vs,
                               List<Double> percentiles)

  - ### Method Detail

    - #### createSlotAcc

          public SlotAcc createSlotAcc(org.apache.solr.search.facet.FacetContext fcontext,
                                       int numDocs,
                                       int numSlots)
                                throws IOException

      Overrides:
        `createSlotAcc` in class `AggValueSource`
      Throws:
        `IOException`

    - #### createFacetMerger

          public FacetMerger createFacetMerger(Object prototype)

      Specified by:
        `createFacetMerger` in class `AggValueSource`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SimpleAggValueSource`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SimpleAggValueSource`

    - #### getValueFromDigest

          protected Object getValueFromDigest(com.tdunning.math.stats.AVLTreeDigest digest)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.